dfa.ffe <- function(x, order = 1, verbose = TRUE, na.action = na.fail, demean = 
       TRUE, series = NULL, ...)
{
  NextWindowSize <- function(CurrentWindowSize) {
    TWS = LogScaleFactor*CurrentWindowSize
    while (TWS < (CurrentWindowSize + 1.0)) TWS = TWS*LogScaleFactor
    return(trunc(TWS));
  }

  if (is.null(series)) series <- deparse(substitute(x))
  x <- check.ts(x = x, name = series[1], na.action = na.action, demean =
                demean)

  N = length(x)
  checkparam(order,Orderbound())

  Smin = max(order) + 2; # Minimal Scale
  Smax = N; # Maximal scale
  WindowSizeDensity = 6; # increase this to increase the density
  LogScaleFactor = 2^(1/WindowSizeDensity)

  WindowSize = Smin
  j = 0;
  while(WindowSize <= Smax) {
    j = j + 1
    WindowSize = NextWindowSize(WindowSize);
  }
  NS = j
  Result = .C("dfa", as.integer(order), as.integer(N), as.double(x), 
              as.integer(Smin),S=integer(NS),F=double(NS),
              PACKAGE="PowerSpectrum")
  Scale = Result$S
  FF = Result$F

  method <- "Detrended fluctuation analysis"
  call <- match.call()
  res <- ffe(fluctuation = FF, scale = Scale, order = order, method = method,
            series = series, call = call)
  if(verbose) print(res)
  invisible(res)
}
