pmt.test <- function(x, m, lag = max(10,round(length(x)/20)),
            type = c("Ljung-Box", "Box-Pierce"), na.action = na.fail, demean =
            TRUE, series = NULL)
{
  type <- match.arg(type)

  if (is.null(series)) series <- deparse(substitute(x))
  x <- check.ts(x = x, name = series, na.action = na.action, demean = demean)
  N <- length(x)

  { if(class(m) == "sdare") {
      phi <- m$phi
      model.residuals <- x[2:N]-phi*x[1:(N-1)]
    }
    else if(class(m) == "sdhee") {
      d <- m$H - 0.5
      model.residuals = diffseries(x, d)
    }
    else stop(sQuote("m"), " must be of class ", sQuote("sdhee"), 
              " or ", sQuote("sdare"))
  }
  Bt <- Box.test(model.residuals, lag = lag, type = type)

  return(
    structure(
      list(Bt = Bt, model = class(m)),
      class = "pmt.test"))
}
