sdf.test = function(x, m, L = 0, M = length(x$frequency), verbose = TRUE)
{
  if(x$method == "Multitaper")
    stop("sdf.test is only applicable for ", sQuote("pse")," objects of method", sQuote("Periodogram"))
  if(class(x) != "pse") stop(sQuote('x'), " must be of class ", sQuote('pse'))

  N = 2*(M - L)
  u = seq((L+1), M)
  f = 2*pi*x$frequency[u]
  s = x$spectrum[u]/(2*pi)

  if(class(m) == "sdhee") {
    model = "Power Law"
    sdf = f^(1-2*m$H)
  }
  else 
     if(class(m) == "sdare") {
       model = "AR(1)"
       Phi = m$phi
       sdf = 1/(1-2*Phi*cos(f)+Phi^2)
     }
     else stop(sQuote("m"), " must be of class ", sQuote("sdhee"), "or ", sQuote("sdare"))

  A = sum((s/sdf)^2)
  B = sum(s/sdf)
  T = N*A/(4*pi*B^2)
  pval = 1 - pnorm(sqrt(N/2)*(pi*T-1)) # see J.Beran's book, page 205

  method = 'Spectral density function test'
  res = structure(list(T = T, p = pval, model = model, method = method), class = "sdf.test")
  if(verbose) print(res)
  invisible(res)
}
