\name{cse}
\alias{cse}
\title{Cross Spectrum Estimate Object}

\description{Cross spectrum estimate object is generated by the cross spectrum estimation function \code{cs.mtm} and can be visualized using \code{plot} function which actually calls \code{plot.cse}.}
\value{
An object of class \code{cse} has the following properties:
\item{frequency}{a vector of frequencies.}
\item{cross.spectrum}{a multitaper cross-spectrum estimate.}
\item{coherence}{a multitaper spectral coherence estimate.}
\item{coherence.ci}{a jackknifed spectral coherence standard deviation
estimate.}
\item{amplitude}{a multitaper amplitude spectrum estimate.}
\item{phase}{a multitaper phase spectrum estimate.}
\item{phase.ci}{a jackknifed phase spectrum standard deviation estimate.}
\item{ntaper}{a number of tapers used in the spectrum estimate.}
\item{series}{a name of the time series.}
\item{taper}{The data taper used}
\item{weight}{The spectrum weighting used}
\item{method}{the type of spectrum estimation method used, in this case
\code{Multitaper}.}
\item{call}{a matched call.}
}
\seealso{\code{\link{cs.mtm}}, \code{\link{plot.cse}}, \code{\link{ps.mtm}}}
\keyword{ts}
