\name{plot.cse}
\alias{plot.cse}
\title{Function for plotting objects of class cse}

\description{This function plots spectral coherence, amplitude spectrum, and
phase spectrum estimated by the multitaper method for two time series. It takes
as input an object of class \code{cse}, which can be generated, for instance, by
the \code{cs.mtm} function.}
\usage{
\method{plot}{cse}(x, type = "o", main = rep(NULL,3), xlab = rep(NULL,3),
            ylab = rep(NULL,3), plot.ci = TRUE, ...)
}
\arguments{
\item{x}{an object of class \code{cse}.}
\item{type}{a type of curve used in the plot. See \code{type} option of the
\code{plot} function.}
\item{main}{a main title of the plot.}
\item{xlab}{a label for the x axis, defaults to a description of x.}
\item{ylab}{a label for the y axis, defaults to a description of y.}
\item{plot.ci}{a logical flag. If TRUE (the default), include confidence intervals in plot}
\item{...}{Additional arguments passed to \code{plot}.}
}
\seealso{\code{\link{cs.mtm}}}
\examples{
library(PowerSpectrum)
Period = seq((1856-1658), length(CET_1659_2008))
CET_1856_2008 = CET_1659_2008[Period]
x <- cs.mtm(CET_1856_2008, AMO_1856_2008)
plot(x)
}
\keyword{ts}
