\name{plot.ffe}
\alias{plot.ffe}
\title{Visualisation of Detrended Fluctuation Analysis}

\description{Function for plotting objects of class \code{ffe} generated by the PowerSpectrum package.}
\usage{
\method{plot}{ffe}(x, h = NULL, plot.ci = TRUE, type = "o", xlim = NULL, 
     ylim = NULL, main = NULL, xlab = NULL, ylab = NULL, ...)
}
\arguments{
\item{x}{an object of class \code{ffe}.}
\item{h}{optional object of class \code{tdhee}. It could be generated by \code{dfa.lse}. Adds a fitted power law spectral density to the plot.}
\item{plot.ci}{a logical value for whether or not to plot confidence intervals for a fluctuation function approximation. Default: TRUE.}
\item{type}{a type of curve used in the plot. See \code{type} option of the \code{plot} function.}
\item{xlim, ylim}{numeric vectors of length 2, giving the x and y coordinates ranges.}
\item{main}{a main title for the plot.}
\item{xlab}{a label for the x axis, defaults to a description of \code{x}.}
\item{ylab}{a label for the y axis, defaults to a description of \code{y}.}
\item{...}{}
}
\seealso{\code{\link{dfa.ffe}}}
\examples{
library(PowerSpectrum)
cet.dfa <- dfa.ffe(CET_1659_2008)
plot(cet.dfa)
}
\keyword{ts}
