\name{plot.pse}
\alias{plot.pse}
\title{Function for plotting objects of class pse, generated by the PowerSpectrum package.}

\description{This function produces a plot of a power spectrum estimate and its
approximations.}
\usage{
\method{plot}{pse}(x, ar = NULL, h = NULL, plot.ci = TRUE, type = "o",
         xlim = NULL, ylim = NULL, main = NULL, xlab = NULL,
         ylab = NULL, xaxt="s", ...)
}
\arguments{
\item{x}{an object of class \code{pse}.}
\item{ar}{optional object of class \code{sdare}. It could be generated by \code{ps.ar1}. Adds a fitted AR1 spectral density to the plot.}
\item{h}{optional object of class \code{sdhee}. It could be generated by \code{ps.gphe} or \code{ps.gspe}. Adds a fitted power law spectral density to the plot.}
\item{plot.ci}{a logical flag. If TRUE (the default), include confidence intervals in plot}
\item{type}{a type of curve used in the plot. See \code{type} option of the \code{plot} function.}
\item{xlim, ylim}{Numeric vectors of length 2, giving the x and y coordinates ranges.}
\item{main}{a main title of the plot.}
\item{xlab}{a label for the x axis, defaults to a description of \code{x}.}
\item{ylab}{a label for the y axis, defaults to a description of \code{y}.}
\item{xaxt}{a character which specifies the x axis type. Specifying "n" suppresses plotting of the axis. The default value is "s".}
\item{...}{}
}
\seealso{\code{\link{ps.pgram}}, \code{\link{ps.mtm}}, \code{\link{ps.gphe}}, \code{\link{ps.gspe}}}
\examples{
library(PowerSpectrum)
pse = ps.pgram(CET_1659_2008)
sdare = ps.ar1(pse)
sdhee = ps.gphe(pse)
plot(pse, sdare, sdhee)
}
\keyword{ts}
