\name{ps.ar1}
\alias{ps.ar1}
\title{Spectral Domain Lag One Autocorrelation (AR1) Estimator}

\description{
Spectral domain lag one autocorrelation coefficient estimate object is obtained by fitting the spectral density of AR1 process to an estimate of the power spectrum. It outputs an object of type \code{sdare}, which serves as an input into a goodness-of-fit test (\code{sdf.test}), a linear trend test (\code{trend.test}), and \code{ps.plot}.
}
\usage{
ps.ar1(x, method = c("mle", "lse"), verbose = TRUE, pse = NULL, ...)
}
\arguments{
\item{x}{an object of class \code{pse}, output from either \code{ps.pgram} or \code{ps.mtm}.}
\item{method}{the method used to estimate the lag one autocorrelation coefficient}
\item{verbose}{a logical flag. If TRUE (the default), prints information while executing.}
\item{pse}{the name of the pse object. Default: deparse(substitute(x)).}
\item{...}{}
}
\value{
An object of class \code{sdare} with the following values set:
\item{phi}{an estimate of the lag one autocorrelation coefficient.}
\item{sdphi}{a standard deviation of the estimator of \code{phi}.} 
\item{pse}{the name of the pse object used.}
\item{method}{a lag one autocorrelation estimation method used.}
\item{call}{the matched call to \code{ps.ar1}}
}
\seealso{\code{\link{sdare}}, \code{\link{sdf.test}}, \code{\link{trend.test}}}
\examples{
library(PowerSpectrum)
ps.ar1(ps.pgram(AMO_1856_2008))
}
\keyword{ts}
