\name{ps.data}
\alias{ps.data}
\alias{AMO}
\alias{AMO_1.1856_5.2009}
\alias{AMO_1856_2008}
\alias{CET}
\alias{CET_1.1659_5.2009}
\alias{CET_1659_2008}
\alias{crutem3gl_1.1850_4.2009}
\alias{crutem3gl_1850_2008}
\alias{crutem3nh_1.1850_4.2009}
\alias{crutem3nh_1850_2008}
\alias{crutem3sh_1.1850_4.2009}
\alias{crutem3sh_1850_2008}
\alias{Donard}
\alias{Donard_752_1992}
\alias{giss}
\alias{giss_ghcn_gl_1.1880_12.2008}
\alias{giss_ghcn_gl_1880_2008}
\alias{giss_ghcn_nh_1.1880_12.2008}
\alias{giss_ghcn_nh_1880_2008}
\alias{giss_ghcn_sh_1.1880_12.2008}
\alias{giss_ghcn_sh_1880_2008}
\alias{giss_ghcn_sst_gl_1.1880_12.2008}
\alias{giss_ghcn_sst_gl_1880_2008}
\alias{giss_ghcn_sst_nh_1.1880_12.2008}
\alias{giss_ghcn_sst_nh_1880_2008}
\alias{giss_ghcn_sst_sh_1.1880_12.2008}
\alias{giss_ghcn_sst_sh_1880_2008}
\alias{hadcrut3gl_1.1850_4.2009}
\alias{hadcrut3gl_1850_2008}
\alias{hadcrut3nh_1.1850_4.2009}
\alias{hadcrut3nh_1850_2008}
\alias{hadcrut3sh_1.1850_4.2009}
\alias{hadcrut3sh_1850_2008}
\alias{NAO}
\alias{NAO_DJFM_Hurrell_1864_2008}
\alias{PDO}
\alias{PDO_1.1900_4.2009}
\alias{PDO_1900_2008}
\alias{Rarotonga}
\alias{Rarotonga_1726_1996}
\title{Climatic Time Series}
\description{
  The list of climatic time series included into the package is shown below. Most of these time series can be updated using \code{\link{data.update}}.
  \cr
  \cr
  \code{AMO_1.1856_7.2009} - monthly data of Atlantic Multidecadal Oscillation index 
  \cr
  \emph{http://www.cdc.noaa.gov/Timeseries/AMO/}.
  \cr
  \cr
  \code{AMO_1856_2008} - annual data of Atlantic Multidecadal Oscillation index.
  \cr
  \cr
  \code{CET_1.1659_7.2009} - monthly data of Central England Temperature 
  \cr
  \emph{http://hadobs.metoffice.com/hadcet/}.
  \cr
  \cr
  \code{CET_1659_2008} - annual data of Central England Temperature.
  \cr
  \cr
  \code{crutem3gl_1.1850_6.2009} - Land Surface Temperature Anomalies (Global, monthly means)
  \cr  
  \emph{http://www.cru.uea.ac.uk/cru/data/temperature/}
  \cr
  \cr
  \code{crutem3gl_1850_2008} - Land Surface Temperature Anomalies (Global, annual means)
  \cr
  \cr
  \code{crutem3nh_1.1850_6.2009} - Land Surface Temperature Anomalies (Northern Hemisphere, monthly means)
  \cr
  \cr
  \code{crutem3nh_1850_2008} - Land Surface Temperature Anomalies (Northern Hemisphere, annual means)
  \cr
  \cr
  \code{crutem3sh_1.1850_6.2009} - Land Surface Temperature Anomalies (Southern Hemisphere, monthly means)
  \cr
  \cr
  \code{crutem3sh_1850_2008} - Land Surface Temperature Anomalies (Southern Hemisphere, annual means)
  \cr
  \cr
  \code{Donard_752_1992} - Donard Lake (Baffin Island) summer temperature reconstruction based on lake varve thickness 
  \cr
\emph{ftp://ftp.ncdc.noaa.gov/pub/data/paleo/paleolimnology/northamerica/canada/baffin/donard\_2001.txt}
  \cr
  \cr
  \code{giss_ghcn_gl_1.1880_12.2008} - GISS Global Temperature Anomalies (base period: 1951-1980, monthly means). Sources: GHCN (meteorological stations only)
  \cr  
  \emph{http://data.giss.nasa.gov/gistemp/}
  \cr
  \cr
  \code{giss_ghcn_gl_1880_2008} - GISS Global Temperature Anomalies (base period: 1951-1980, annual means). Sources: GHCN (meteorological stations only)
  \cr
  \cr
  \code{giss_ghcn_nh_1.1880_12.2008} - GISS Northern Hemisphere Temperature Anomalies (base period: 1951-1980, monthly means). Sources: GHCN (meteorological stations only)
  \cr
  \cr
  \code{giss_ghcn_nh_1880_2008} - GISS Northern Hemisphere Temperature Anomalies (base period: 1951-1980, annual means). Sources: GHCN (meteorological stations only)
  \cr
  \cr
  \code{giss_ghcn_sh_1.1880_12.2008} - GISS Southern Hemisphere Temperature Anomalies (base period: 1951-1980, monthly means). Sources: GHCN (meteorological stations only)
  \cr
  \cr
  \code{giss_ghcn_sh_1880_2008} - GISS Southern Hemisphere Temperature Anomalies (base period: 1951-1980, monthly means). Sources: GHCN (meteorological stations only)
  \cr
  \cr
  \code{giss_ghcn_sst_gl_1.1880_12.2008} - GISS Global Temperature Anomalies (base period: 1951-1980, monthly means). Sources: GHCN + SST.
  \cr
  \cr
  \code{giss_ghcn_sst_gl_1880_2008} - GISS Global Temperature Anomalies (base period: 1951-1980, annual means). Sources: GHCN + SST.
  \cr
  \cr
  \code{giss_ghcn_sst_nh_1.1880_12.2008} - GISS Northern Hemisphere Temperature Anomalies (base period: 1951-1980, monthly means). Sources: GHCN + SST.
  \cr
  \cr
  \code{giss_ghcn_sst_nh_1880_2008} - GISS Northern Hemisphere Temperature Anomalies (base period: 1951-1980, annual means). Sources: GHCN + SST.
  \cr
  \cr
  \code{giss_ghcn_sst_sh_1.1880_12.2008} - GISS Southern Hemisphere Temperature Anomalies (base period: 1951-1980, monthly means). Sources: GHCN + SST.
  \cr
  \cr
  \code{giss_ghcn_sst_sh_1880_2008} - GISS Southern Hemisphere Temperature Anomalies (base period: 1951-1980, monthly means). Sources: GHCN + SST.
  \cr
  \cr
  \code{hadcrut3gl_1.1850_6.2009} - Combined Land and Marine Surface Temperature Anomalies (Global, monthly means)
  \cr  
  \emph{http://www.cru.uea.ac.uk/cru/data/temperature/}
  \cr
  \cr
  \code{hadcrut3gl_1850_2008} - Combined Land and Marine Surface Temperature Anomalies (Global, annual means)
  \cr
  \cr
  \code{hadcrut3nh_1.1850_6.2009} - Combined Land and Marine Surface Temperature Anomalies (Northern Hemisphere, monthly means)
  \cr
  \cr
  \code{hadcrut3nh_1850_2008} - Combined Land and Marine Surface Temperature Anomalies (Northern Hemisphere, annual means)
  \cr
  \cr
  \code{hadcrut3sh_1.1850_6.2009} - Combined Land and Marine Surface Temperature Anomalies (Southern Hemisphere, monthly means)
  \cr
  \cr
  \code{hadcrut3sh_1850_2008} - Combined Land and Marine Surface Temperature Anomalies (Southern Hemisphere, annual means)
  \cr
  \cr
  \code{NAO_DJFM_Hurrell_1864_2008} - Jim Hurrell's winter (December through March) index of the NAO based on the difference of normalized sea level pressure (SLP) between Lisbon, Portugal and Stykkisholmur/Reykjavik, Iceland 
  \cr
  \emph{http://www.cgd.ucar.edu/cas/jhurrell/Data/naodjfmindex.asc}.
  \cr
  \cr
  \code{PDO_1.1900_6.2009} - monthly data of Pacific Decadal Oscillation index
  \cr
  \emph{http://www.jisao.washington.edu/pdo/}.
  \cr
  \cr
  \code{PDO_1900_2008} - annual data of Pacific Decadal Oscillation index
  \cr
  \cr
  \code{Rarotonga_1726_1996} - annual data of Rarotonga coral Sr/Ca SST reconstruction 
  \cr
  \emph{ftp://ftp.ncdc.noaa.gov/pub/data/paleo/coral/east\_pacific/rarotonga\_sr-ca.txt}.
}
\seealso{\code{\link{data.update}}}
\keyword{datasets}
