\name{pse}
\alias{pse}
\title{Power Spectrum Estimate Object}

\description{
Power spectrum estimate object is generated by power spectrum estimation functions (\code{ps.pgram}, \code{ps.mtm}) and serves as an input into a goodness-of-fit test (\code{sdf.test}) and functions estimating power spectrum approximations  (\code{ps.ar1}, \code{ps.gphe}, \code{ps.gspe}).
}
\value{
An object of class \code{pse} has the following properties:
\item{frequency}{a vector of frequencies.}
\item{spectrum}{a power spectrum estimate.}
\item{spectrum.ci}{an asymptotic in case of the periodogram or a jackknifed in case of the multitaper confidence interval for the power spectrum estimate.}
\item{cl}{a confidence level used for power spectrum confidence interval estimation.}
\item{ntaper}{a number of tapers used in the spectrum estimate.}
\item{taper}{The data taper used}
\item{weight}{The spectrum weighting used}
\item{series}{a name of the time series.}
\item{method}{a spectrum estimation method used.}
\item{call}{a matched call for \code{ps.mtm}.}
}
\seealso{\code{\link{ps.pgram}}, \code{\link{ps.mtm}}, \code{\link{sdf.test}}, \code{\link{ps.ar1}}, \code{\link{ps.gphe}}, \code{\link{ps.gspe}}}
\keyword{ts}
