\name{sdhee}
\alias{sdhee}
\title{Spectral Domain Hurst Exponent Estimate Object}

\description{
Hurst exponent estimate object is generated by Hurst exponent estimation functions (\code{ps.gphe}, \code{ps.gspe}) and serves as an input into a goodness-of-fit test (\code{sdf.test}), a linear trend test (\code{trend.test}), and \code{ps.plot}.
}
\value{
An object of class \code{sdhee} has the following properties:
\item{H}{an estimate of the Hurst exponent.}
\item{sdH}{a standard deviation of the estimator of $H$ (see equation (11) in [3]). GPHE only.} 
\item{asdH}{an asymptotic value of the standard deviation of the estimator of $H$ based on the periodogram (see equation (7) on page 24 in [2] for GPHE and equation (4.1) on page 1640 in [1] for GSPE).}
\item{b}{an estimate of the scaling factor $b$ from \eqn{f(\lambda)=b |\lambda|^{1-2H}}.}
\item{c}{$c=log(b)$.}
\item{sdc}{a standard  deviation of the estimator of $c=log(b)$ (see equation (11) in [3]). GPHE only.}
\item{L}{a number of the lowest Fourier frequences trimmed.}
\item{M}{a number of the highest Fourier frequency used.}
\item{series}{a name of the time series.}
\item{method}{a Hurst exponent estimation method used.}
\item{call}{a matched call.}
}
\references{ 
[1] P.M. Robinson (1995), Gaussian estimation of long range dependence, \emph{Ann. of Statist.} \bold{23}, 1630--1661.

[2] C. Hurvich, R. Deo, and J. Brodsky (1998), The mean squared error of Geweke and Porter-Hudak's estimator of the memory parameter of a long-memory time series, \emph{J. Time Series Anal.} \bold{19}, 19--46,  10.1111/1467-9892.00075.

[3] E.J. McCoy, A.T. Walden, and D.B. Percival (1998), Multitaper Spectral Estimation of Power Law Processes, \emph{IEEE Transactions on Signal Processing} \bold{46}, 655--668.
}
\seealso{\code{\link{ps.gphe}}, \code{\link{ps.gspe}}, \code{\link{sdf.test}}, \code{\link{trend.test}}}
\keyword{ts}
