\name{tdhee}
\alias{tdhee}
\title{Time Domain Hurst Exponent Estimate Object}

\description{
Time domain Hurst exponent estimate object is generated by a time domain Hurst exponent estimation function (\code{dfa.lse}).
}
\value{
An object of class \code{tdhee} has the following properties:
\item{H}{an estimate of the Hurst exponent.}
\item{sdH}{a standard deviation of the estimator of $H$.} 
\item{r}{a fluctuation function scaling factor from \eqn{F(s) \sim rs^H}.}
\item{q}{$q=log(r)$.}
\item{sdq}{a standard deviation of the estimate of $q$.}
\item{L}{a lower scale cut off.}
\item{M}{an upper scale cut off.}
\item{ffe}{the name of the ffe object used.}
\item{method}{a Hurst exponent estimation method used.}
\item{call}{a matched call.}
}
\seealso{\code{\link{dfa.ffe}}, \code{\link{dfa.lse}}, \code{\link{sdhee}}}
\keyword{ts}
